Bug 167129 - libsafe prevents prelink
libsafe prevents prelink
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libsafe (Show other bugs)
4
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Steve Grubb
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-08-30 13:33 EDT by Jerry James
Modified: 2007-11-30 17:11 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-17 19:39:01 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jerry James 2005-08-30 13:33:14 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050720 Fedora/1.0.6-1.1.fc4 Firefox/1.0.6

Description of problem:
I installed libsafe a few weeks ago, because it seemed like such a great idea.  Today I happened to look in /var/log/prelink.log, and it is full of messages like this:

/usr/sbin/prelink: Could not prelink /usr/bin/pbmtomrf because its dependency /lib/libsafe.so.2 could not be prelinked

I don't know that this is a bug, but at the very least, the libsafe page should warn that this will happen.

Version-Release number of selected component (if applicable):
libsafe-2.0-17c.fc4

How reproducible:
Always

Steps to Reproduce:
1. Install libsafe
2. Install or upgrade some RPMs to acquire non-prelinked binaries
3. Wait for cron to run the daily prelink job
4. Inspect /var/log/prelink.log
  

Actual Results:  New or upgraded binaries were not prelinked.

Expected Results:  I should have been told this would happen.  Ideally, it would be nice if libsafe did not prevent prelink, but I do not know if that is possible.

Additional info:
Comment 1 Steve Grubb 2005-08-31 09:37:22 EDT
Hi, just curious...what libsafe page was supposed to have a warning? This is the
first I've heard of this problem. libsafe is traditionally used with older
operating systems that do not do have stack object size detection. This would be
fc2 and lower. I personally would not run libsafe on fc4 since it already does
something similar to what libsafe does.
Comment 2 Jerry James 2005-09-01 11:34:24 EDT
I was referring to this page:

http://fedoraproject.org/extras/4/i386/repodata/repoview/libsafe-0-2.0-17c.fc4.html

which looks like it was generated from the RPM, so I guess the Summary field
should say something about this.  In any case, if libsafe is irrelevant to FC3
and FC4, why is it in Extras?  Furthermore, vanilla FC4 didn't catch bug
#167127, but libsafe did.  Are you talking about the new mudflap stuff in gcc4?
 But the Core and Extras release rpms aren't built with mudflap, are they?
Comment 3 Christian Iseli 2007-01-17 18:20:05 EST
FC3 and FC4 have now been EOL'd.

Please check the ticket against a current Fedora release, and either adjust the
release number, or close it if appropriate.

Thanks.

Your friendly BZ janitor :-)

Note You need to log in before you can comment on or make changes to this bug.